package de.devloop.mavor.servlet;

import java.io.IOException;

import de.devloop.mavor.AuthenticatedServlet;
import de.devloop.mavor.Configuration;
import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.servlet.http.HttpSession;

@WebServlet("/logout")
public class Logout extends AuthenticatedServlet {
    private Configuration configuration;

    @Override
    public void init() throws ServletException {
        try {
            configuration = new Configuration();
        } catch (IOException e) {
            throw new ServletException("Configuration Error", e);
        }
    }

    @Override
    protected void doAuthenticatedGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        HttpSession httpSession = req.getSession();
        if (httpSession != null) {
            httpSession.invalidate();
        }
        resp.sendRedirect(configuration.getOpenIdLogoutUrl());
    }
}
